@import '~bootstrap/scss/bootstrap.scss';

$gray: $gray-700;

body {
    background-color: rgb(204,204,204);
    font-family: 'Segoe UI';
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-weight: $font-weight-lighter;
    font-size: 0.65rem;
    color: $body-color;
}

.page {
    background: white;
    display: block;
    margin: 0.5cm auto;
    box-shadow: 0 0 0.5cm rgba(0,0,0,0.5);
    position: relative;
    padding: 70px;

    width: 21cm;
    height: 29.7cm; 
  }

.edge-triangle {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 50px 50px 0 0;
  border-color: $gray transparent transparent transparent;
  }

.cv-image {
  height: 40px;
  margin: 10px 22px 10px 0;
  &.social {
    height: 24px;
  }
}

.regular-image {
  height: 40px;
}

strong {
  font-weight: bold;
  &.header {
    color: $orange;
    text-transform: uppercase;
    font-size: 0.9rem;
  }
}

.gray {
  color: $gray;
}

.uppercase {
  text-transform: uppercase;
}

.large-space {
  padding-bottom: 20px;
}

.small-space {
  padding-top: 10px;
}

.small-text {
  color: $gray;
  //font-size: 0.5rem;
  padding-top: 0px;
  //line-height: 0.8rem;
}

.align {
  text-align: center;
}

.vertical-align {
  display: flex;
  align-items: center;
}

.divider {
  flex: 0 0 0.333%;
  border-left: 3px dotted $gray;
  margin: 0 15px;
  padding: 0;
}

ul {
  padding: 0 0 0 10px;
  margin-bottom: 5px;
  list-style-type: square;
}

#controls {
  width: 50px;
  position: fixed;
  top: 10%;
  right: 0;
}

#source, #extend {
  width: 100%;
}

@page {
  size: A4;
  margin: 0;
}

@media print {
  body {
    //font-size: 0.60rem;
    transform: scale(1.5);
  }

  #root {
    margin-top: 265px;
  }

  .page {
    //margin: 0;
    box-shadow: none;
  }

  .container {
    min-width: 100% !important;
  }

  #controls {
    display: none;
  }
}

